独家记忆shine
2018-04-09 07:08
采纳率: 64.7%
浏览 6.2k

pom.xml中报错提示这个怎么解决?紧急等

1 problem was encountered while building the effective model for org.codehaus.mojo:aspectj-maven-plugin:1.8 [ERROR] 'dependencies.dependency.systemPath'
for com.sun:tools:jar must specify an absolute path but is ${toolsjarSystemPath} @

  • 写回答
  • 好问题 提建议
  • 关注问题
  • 收藏
  • 邀请回答

6条回答 默认 最新

  • xuefengg 2018-04-09 07:42
    已采纳

    改pom.xml的配置就行了。

    例如

    org.codehaus.mojo
    aspectj-maven-plugin
    1.8

    ${java.version}
    ${java.version}
    ${java.version}
    true

    ......

    改成

    org.codehaus.mojo
    aspectj-maven-plugin
    1.7

    ${java.version}
    ${java.version}
    ${java.version}
    true

    ......

    这样的样子。把1.8的改成1.7的,可能因为不完全支持1.8的java吧。

    已采纳该答案
    评论
    解决 无用
    打赏 举报
  • ba_zhuayu 2018-04-09 07:28

    你是不是用的是osc 切换到中央库试试

    评论
    解决 无用
    打赏 举报
  • hbbhgg 2018-04-09 07:32

    mvn -B clean install package rpm:rpm -DnewVersion=2.5.0.0.0 -DskipTests -Dpython.ver="python >= 2.6"

    评论
    解决 无用
    打赏 举报
  • 独家记忆shine 2018-04-09 08:23

    感谢各位回答我的问题,虽然问题没解决,我还是打算换开发工具了,换成 intellij ieda了。金币平均分给你们三个

    评论
    解决 无用
    打赏 举报
  • 独家记忆shine 2018-04-09 08:27

    这个金币怎么结帖悬赏呢,这个csdn做的太不好了,连结帖都不知道怎么操作

    评论
    解决 无用
    打赏 举报
  • xuefengg 2018-04-09 08:28

    最好最快的方法就是把别人的一套开发环境直接拷贝过来。什么都别动,立马各种问题全部解决。

    评论
    解决 无用
    打赏 举报

相关推荐 更多相似问题